Bug 1336631 - Incorrect file name in s2i build help page for flag --use-config
Summary: Incorrect file name in s2i build help page for flag --use-config
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: source-to-image
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.3
Assignee: Honza Horak
QA Contact: Lukas Zachar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-17 05:55 UTC by Wenjing Zheng
Modified: 2019-01-08 13:44 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-01-08 13:44:43 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0036 None None None 2019-01-08 13:44 UTC

Description Wenjing Zheng 2016-05-17 05:55:20 UTC
Description of problem:
According to s2i build help page about --use-config, it says:
--use-config[=false]: Store command line options to .stifile

However, after use this option, command line options is stored to .s2ifile, not .stifile

Version-Release number of selected component (if applicable):
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=494336

How reproducible:
always

Steps to Reproduce:
1. s2i build . registry.access.redhat.com/openshift3/ruby-20-rhel7 hello-world-app --pull-policy=never --use-config=true
2. Check where command line is saved to
3.

Actual results:
It is saved to .s2ifile, not .stifile as help page says

Expected results:
Help page of flag --use-config should be updated to "Store command line options to .s2ifile"

Additional info:

Comment 2 Honza Horak 2018-12-13 19:45:52 UTC
Rebase to source-to-image-1.1.13 fixes this problem.

Comment 4 Wenjing Zheng 2018-12-14 02:44:38 UTC
Verified with below version:
# s2i version
s2i v1.1.13

-s, --scripts-url string               Specify a URL for the assemble, assemble-runtime and run scripts
--use-config                       Store command line options to .s2ifile

Comment 6 errata-xmlrpc 2019-01-08 13:44:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0036


Note You need to log in before you can comment on or make changes to this bug.